Skip to main content
DELETE
/
moderation
/
reasons
/
{id}
Delete Reasons
curl --request DELETE \
  --url https://{appId}.api-{region}.cometchat.io/v3/moderation/reasons/{id}
import requests

url = "https://{appId}.api-{region}.cometchat.io/v3/moderation/reasons/{id}"

response = requests.delete(url)

print(response.text)
const options = {method: 'DELETE'};

fetch('https://{appId}.api-{region}.cometchat.io/v3/moderation/reasons/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "The reason with id spam has been deleted successfully."
}

Path Parameters

id
string
required

Id of the reason which needs to be deleted.

Response

200 - application/json

Reason deleted successfully.

success
boolean
Example:

true

message
string
Example:

"The reason with id spam has been deleted successfully."